package com.google.ar.core.examples.java.common.java3d;

public class ColoringAttributes extends NodeComponent {
    public static final int FASTEST = 0;

    public static final int NICEST = 1;

    public static final int SHADE_FLAT = 2;

    public static final int SHADE_GOURAUD = 3;

    private Color3f color;

    private int shadeModel;

    public ColoringAttributes() {
        color = new Color3f(1.0f, 1.0f, 1.0f);
        shadeModel = SHADE_GOURAUD;
    }

    public ColoringAttributes(Color3f color, int shadeModel) {
        this.color = color;
        this.shadeModel = shadeModel;
    }

    public ColoringAttributes(float r, float g, float b, int shadeModel) {
        this.color = new Color3f(r, g, b);
        this.shadeModel = shadeModel;
    }

    public Color3f getColor() {
        return color;
    }

    public void setColor(Color3f color) {
        this.color = color;
    }

    public int getShadeModel() {
        return shadeModel;
    }

    public void setShadeModel(int shadeModel) {
        this.shadeModel = shadeModel;
    }

    @Override
    public NodeComponent cloneNodeComponent() {
        return new ColoringAttributes(color.clone(), shadeModel);
    }
}
